Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 453870

Summary: Review Request: iw - A nl80211 based wireless configuration tool
Product: [Fedora] Fedora Reporter: Adel Gadllah <adel.gadllah>
Component: Package ReviewAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, linville, notting
Target Milestone: ---Flags: lkundrak: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-07-24 13:07:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Adel Gadllah 2008-07-02 23:16:03 UTC
Spec URL: http://tgmweb.at/gadllah/iw.spec
SRPM URL: http://tgmweb.at/gadllah/iw-0.0-0.1.20080703git.fc9.src.rpm
Description: 
iw is a new nl80211 based CLI configuration utility for wireless devices.
Currently you can only use this utility to configure devices which
use a mac80211 driver as these are the new drivers being written – 
only because most new wireless devices being sold are now SoftMAC.

Comment 1 Peter Lemenkov 2008-07-03 12:34:52 UTC
Remarks:

* You shpuld add comments describin how to create provided in Source0 tarball.
E.g.something like:

# svn export http://example.com/svn/name/trunk name-1.0.0
# tar cjvf name-1.0.0.tar.bz2 name-1.0.0
Source0:        name-1.0.0.tar.bz2

* You may simplify installation process. Instead of

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

you may do it in the following way:

install -D -p -m 0755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

Note -p (preserves timestamps) and -D (creates all necessary directories).

Comment 2 Adel Gadllah 2008-07-03 13:07:26 UTC
Thanks for the comments, fixed:
http://tgmweb.at/gadllah/iw.spec
http://tgmweb.at/gadllah/iw-0.0-0.2.20080703git.fc9.src.rpm


Comment 3 Lubomir Rintel 2008-07-22 10:14:45 UTC
Adel: Thanks for the package.

1.) I suggest you version the dependency on kernel-devel. At least headers from
el5's 2.6.18 are definitely not enough to build this.

2.) The comment that explains how to generate the source tarball should describe
how to reproduce the very same sourece tree, and I guess that I'll get a more
recent version if I did a simple git clone now. You should probably add a SHA
hash of the tree you are packaging, or whatever nonsense does GIT use instead of
revision numbers :)

Not really a blockers though -- there's nothing you can do wrong when doing that
at import time.

In all other respect, the package is perfect. Nice work. RPMlint is happy, SPEC
file is sane and legible, compiler flags are honoured. Therefore the package is

APPROVED

Comment 4 Adel Gadllah 2008-07-22 11:58:47 UTC
Thanks for the review, I have fixed 1) and 2) (fix will be in the imported package).

----------------------------

New Package CVS Request
=======================
Package Name: iw
Short Description: A nl80211 based wireless configuration tool
Owners: drago01
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes


Comment 5 Kevin Fenzi 2008-07-22 16:06:11 UTC
cvs done.